Package net.shibboleth.idp.plugin.authn.webauthn.impl

# Class SetPaswordlessUsageToContextConsumer

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.impl.BaseWebAuthnAuthenticationContextConsumer
net.shibboleth.idp.plugin.authn.webauthn.impl.SetPaswordlessUsageToContextConsumer

All Implemented Interfaces:
  `Consumer<ProfileRequestContext>`

public class SetPaswordlessUsageToContextConsumer extends BaseWebAuthnAuthenticationContextConsumer
A consumer that sets the isPasswordless mode flag to the authentication context.

## Constructor Summary

Constructors
Constructor
Description
`SetPaswordlessUsageToContextConsumer()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doAccept(WebAuthnAuthenticationContext webAuthnContext)`
Consume the WebAuthn authentication context.

### Methods inherited from class net.shibboleth.idp.plugin.authn.webauthn.impl.BaseWebAuthnAuthenticationContextConsumer

`accept`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Constructor Details

### SetPaswordlessUsageToContextConsumer

public SetPaswordlessUsageToContextConsumer()

## Method Details

### doAccept

protected void doAccept(WebAuthnAuthenticationContext webAuthnContext)
Consume the WebAuthn authentication context. Implementations must override this method.

Specified by:
  `doAccept` in class `BaseWebAuthnAuthenticationContextConsumer`
Parameters:
  `webAuthnContext` - the WebAuthn authentication context